Name:           wmtictactoe
Version:        1.1
Release:        2%{?dist}
Summary:        TicTacToe game as a dockapp

License:        GPLv2+
URL:            http://dockapps.windowmaker.org/file.php/id/337
Source0:        http://dockapps.windowmaker.org/download.php/id/748/%{name}-%{version}-1.tar.gz

BuildRequires:  libXext-devel
BuildRequires:  libXpm-devel

%description
wmTicTacToe is a dock application game for Window Maker(but it will be run
on other window managers too.

%prep
%setup -q -n %{name}.app

#Some doc files are not utf-8
iconv -f iso-8859-15 -t utf8 README > README.new
touch -r README README.new
mv README.new README
iconv -f iso-8859-15 -t utf8 CHANGES > CHANGES.new
touch -r CHANGES CHANGES.new
mv CHANGES.new CHANGES


%build
cd %{name}
make %{?_smp_mflags}


%install
cd %{name}
mkdir -p %{buildroot}%{_bindir}
install -p -m 755 %{name} %{buildroot}%{_bindir}


%files
%doc CHANGES COPYING README TODO
%{_bindir}/%{name}


%changelog
* Fri Aug 10 2012 Mario Blättermann <mariobl@fedoraproject.org> 1.1-2
- Tweaked summary and description

* Sat Aug 04 2012 Mario Blättermann <mariobl@fedoraproject.org> 1.1-1
- initial version
